current_user_access_token_list

List device access tokens for the currently authenticated user.

get/v1/me/access-tokens

Query Parameters

limit

Maximum number of items returned by a single call

Token returned by previous call to retrieve the subsequent page

Supported set of sort modes for scanning by id only.

Currently, we only support scanning in ascending order.

Responses

200

successful operation

Object
items

list of items on this page of results

View of a device access token

Object
id

A unique, immutable, system-controlled identifier for the token.

Note that this ID is not the bearer token itself, which starts with "oxide-token-".

time_created
time_expires

Expiration timestamp. A null value means the token does not automatically expire.

next_page

token used to fetch the next page of results (if any)

4XX

Error

Object
message
request_id
5XX

Error

Object
message
request_id